# Uses of Class
org.apache.qpid.proton.amqp.transport.End

Packages that use End
Package
Description
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec.transport
org.apache.qpid.proton.engine.impl

## Uses of End in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return End
Modifier and Type
Method
Description
`End`
End.`copy()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type End
Modifier and Type
Method
Description
`void`
FrameBody.FrameBodyHandler.`handleEnd(End end, Binary payload, E context)`
Constructors in org.apache.qpid.proton.amqp.transport with parameters of type End
Modifier
Constructor
Description
``
`End(End other)`

## Uses of End in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return End
Modifier and Type
Method
Description
`End`
EndType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.transport that return types with arguments of type End
Modifier and Type
Method
Description
`Class<End>`
EndType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.transport with parameters of type End
Modifier and Type
Method
Description
`protected List`
EndType.`wrap(End val)`

## Uses of End in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type End
Modifier and Type
Method
Description
`void`
TransportImpl.`handleEnd(End end, Binary payload, Integer channel)`